server:
  port: 8085

redaction-service.url: "http://localhost:8083"
pdftron-redaction-service.url: "http://localhost:8086"
redaction-report-service.url: "http://localhost:8084"
search-service.url: "http://localhost:8088"
tenant-user-management-service.url: "http://localhost:8091/internal"


multitenancy:
  datasource-cache:
    maximumSize: 100
    expireAfterAccess: 1
  tenant:
    datasource:
      driverClassName: org.postgresql.Driver
      hikari:
        data-source-properties:
          cachePrepStmts: true
          prepStmtCacheSize: 1000
          prepStmtCacheSqlLimit: 2048
    liquibase:
      changeLog: classpath:db/changelog/db.changelog-tenant.yaml

monitoring:enabled: true
cors.enabled: true


persistence-service:
  imageServiceEnabled: false
  nerServiceEnabled: false
  storeImageFile: false
  applicationName: RedactManager
fforesight:
  springdoc:
    auth-server-url: 'http://localhost:8080/auth'
